summaryrefslogtreecommitdiffstats
path: root/bin/snapshot
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2003-04-02 21:35:57 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2003-04-02 21:35:57 (GMT)
commit6e9724c46c38649b2ddc95a878e872a3c3eb5972 (patch)
treed11f55b75eb1e46dedeb32c6ed188ef1e8ae0ea2 /bin/snapshot
parent6e2071f7eddbfce07ca98c23da3698fadd436b5a (diff)
downloadhdf5-6e9724c46c38649b2ddc95a878e872a3c3eb5972.zip
hdf5-6e9724c46c38649b2ddc95a878e872a3c3eb5972.tar.gz
hdf5-6e9724c46c38649b2ddc95a878e872a3c3eb5972.tar.bz2
[svn-r6572] Purpose:
bug fix. Description: It checked on the CVSROOT setting even when no cvs is needed. Solution: Moved the verification inside the checkout code so that the CVS settings are checked when it is needed. Platforms tested: Eirene--this is invoked by bin/runtest. Platform tests do not apply here. Misc. update:
Diffstat (limited to 'bin/snapshot')
-rwxr-xr-xbin/snapshot11
1 files changed, 5 insertions, 6 deletions
diff --git a/bin/snapshot b/bin/snapshot
index c47e27f..c8f4f1a 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -64,12 +64,6 @@ METHODS="gzip bzip2"
# Use User's MAKE if set. Else use generic make.
MAKE=${MAKE:-make}
-# Make sure cvs would work
-if [ -z "$CVSROOT" ]; then
- echo "Where is the CVS repository?" 1>&2
- exit 1
-fi
-
#
# Command options
cmd="all"
@@ -259,6 +253,11 @@ if [ "$cmd" = "all" -o -n "$cmdcheckout" ]; then
# regardless of the return code of distclean.
( cd ${CURRENT}; test -f Makefile && ${MAKE} distclean)
+ # verify proper cvs setting
+ if [ -z "$CVSROOT" ]; then
+ echo "CVSROOT not defined!" 1>&2
+ exit 1
+ fi
# Check out the current version from CVS
cvs -Q co -d ${CURRENT} ${CVSVERSION} hdf5 || exit 1
fi # Do CVS checkout